People
Mark as not people
Mark a set of accounts on the People Page as “not a person.” As a result, these accounts will not be treated as people in Vanta, and you will not be able to assign them tasks or use them in tests related to your company’s personnel.
POST
/
people
/
mark-as-not-people
Mark as not people
curl --request POST \
--url https://api.vanta.com/v1/people/mark-as-not-people \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"updates": [
{
"reason": "<string>",
"id": "<string>"
}
]
}
'import requests
url = "https://api.vanta.com/v1/people/mark-as-not-people"
payload = { "updates": [
{
"reason": "<string>",
"id": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({updates: [{reason: '<string>', id: '<string>'}]})
};
fetch('https://api.vanta.com/v1/people/mark-as-not-people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "65e1efde08e8478f143a8ff9",
"status": "SUCCESS"
},
{
"id": "OTHER_USER_ID",
"status": "ERROR",
"message": "Invalid Input"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
List of account IDs to mark as not a person
Required array length:
1 - 100 elementsShow child attributes
Show child attributes
Response
200 - application/json
Ok
List of results matching the length and order of the request
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?
Previous
Mark as peopleMark a set of accounts on the People Page as "people." As a result,
these accounts will be treated as people in Vanta, and you will be able to
assign them tasks and use them in tests related to your company's personnel.
Next
⌘I
Mark as not people
